#ifndef VDR_EM84XX_PLAYER_H
#define VDR_EM84XX_PLAYER_H

#include <vdr/player.h>

class cPlayerEm84xx;

class cControlEm84xx: public cControl {
private:
   cPlayerEm84xx      *mPlayer;
   cSkinDisplayReplay *mDisplay;

protected:
   void ShowProgress(bool Open = false);

public:
   cControlEm84xx(void);
   virtual ~cControlEm84xx();

   virtual void Hide(void);
   virtual eOSState ProcessKey(eKeys Key);
};

#endif // VDR_EM84XX_PLAYER_H
